## ros-humble-caret-analyze 0.5.0

=== debian/changelog ===
ros-humble-caret-analyze (0.5.0-2bookworm) bookworm; urgency=high

  * Update: package.xml version to 0.4.24 (#471 <https://github.com/tier4/caret_analyze/issues/471>)
  * fix: plot API annotations (#463 <https://github.com/tier4/caret_analyze/issues/463>)
    * diff_node_names
    * 20230130
    * diff_node_names 20230205
    * re
    * class Diff
    * 20230205
    * refactor(arcitecture), test(test_arcitecture) / Naming conventions were changed and mock tests were added and modified because of the points raised
    * a
    * conflict fix2
    * fix: pytest error
    * refactor: fix plot api annotations about Timeseriestypes
    * refactor: add annotations of publisher and subscription to plot API
    * refactor: fix pytest error
    * docs: fix docs about period and frequency api
    * refactor: add the annotations of Pub and Sub to peri and freq hist plot api
    ---------
    Co-authored-by: taro-yu <mailto:milktea1621@gmai.com>
  * docs: fix doc string in value_object package (#454 <https://github.com/tier4/caret_analyze/issues/454>)
    * Fixed doc_string in CallbackStructValue.
    * Fixed doc_string in CallbackValue.
    * Fixed doc_string in ExecutorStructValue.
    * Corrected the beginning of the sentence in doc_string to be capitalized.
    * Periods were added to doc_string.
    * Fixed according to doc_string rules.
    * Fixed mypy error.
    * docs: fill lacked doc string
    * docs: fill doc string of NodePathValue
    * docs: fill doc string of NodeValue
    * docs: dill doc string of NodeValueWithId
    * docs: fill doc string in NodeStructValue
    * fix: minor mistake
    * docs: fill doc string of DiffNode
    * docs: fix argument
    * Fixed doc_string in ExecutorType.
    * Fixed according to doc_string rules.
    * Spelling corrected..
    * Fixed underbar
    * docs: fill doc string of ServiceCallbackValue
    * docs: doc string of ServiceCallbackStructValue
    * docs: fill doc string of ServiceValue
    * docs: fill doc string of ServiceStructValue
    * Fixed initials and periods in doc_string.
    * Fixed doc_string in ExecutorValue.
    * Fixed return anotation.
    * Fixed return anotation.
    * docs: fill doc string of SubscriptionCallbackStructValue
    * docs: fix minor mistake in CallbackValue
    * docs: fill doc string of SubscriptionCallbackValue
    * Fixed spell.
    * Fixed spell.
    * docs: fix minor mistake
    * docs: fix minor mistake in CallbackValue
    * docs: fix type mistake
    * docs: fix minor mistake
    * docs: add __init__ doc string
    * docs: fix upper case lacking
    * docs: fix pep
    * docs: fix upper case
    * docs: fix spell
    * docs: fill doc string of SubscriptionValue
    * docs: fix return type
    * docs: add __init__ doc string
    * Changed doc_string Return to Get..
    * docs: fix return type
    * docs: fill doc string of SubscriptionStructValue
    * Fixed doc_string in InheritUniqueStamp.
    * Fixed doc_string in MessageContext.
    * Fixed doc_string in MessageContextType.
    * Fixed doc_string in PathValue.
    * Grammatical errors were corrected..
    * Corrected omissions.
    * Grammatical errors were corrected..
    * Fixed spell miss.
    * docs: fix doc string TimerValue
    * docs: fix doc string TimerStructValue
    * docs: fix doc string TimerCallbackValue
    * docs: fix doc string TimerCallbackStructValue
    * Fixed doc_string in PublisherStructValue.
    * Fixed spell miss.
    * docs: fix doc string of Tilde (WiP)
    * docs: fix doc string of VariablePassingValue
    * docs: fix doc string of VariablePassingStructValue
    * docs: fix upper case
    * docs: fix doc string of __init__ lack variable name
    * docs: fix variable name in doc string in __init__
    * Fixed doc_string.
    * Fixed doc_string in revision_api_list_publishervalue.
    * Corrected wording.
    * docs: fix blank line
    * docs: fix period
    * docs: fix upper case
    * docs: fix period
    * Fixed doc_string in Qos.
    * docs: fix doc string of is_applicable_path
    * docs: fill doc string of UseLatestMessage
    * Fixed return anotation.
    * docs: fix doc string of CallbackStructValue
    * docs: fix upper case and period
    * docs: fix upper case and period
    * docs: fix upper case and period
    * docs: fix upper case and period
    * docs: doc string of __str__
    * docs: doc string of CallbackType
    * docs: fix period
    * minor mistake in publisher
    ---------
    Co-authored-by: emb4 <mailto:yuki.emori@tier4.jp>
    Co-authored-by: emori-ctc <mailto:129708475+emori-ctc@users.noreply.github.com>
  * Contributors: h-suzuki-isp, r.okamu, yu-taro-

 -- ymski <yamasaki@isp.co.jp>  Mon, 29 Jan 2024 16:00:00 -0000

ros-humble-caret-analyze (0.4.24-2bookworm) bookworm; urgency=high

  * fix: erase unused functions (#442 <https://github.com/tier4/caret_analyze/issues/442>)
    * fix: erase old implementation of response time histogram
    * fix: erase unused old histogam and timeseries in response_time
    ---------
  * feat: improvement of judgement ros distribution (#452 <https://github.com/tier4/caret_analyze/issues/452>)
  * fix: proc time not converted to sim time (#451 <https://github.com/tier4/caret_analyze/issues/451>)
    * latency does not convert sim_time
    * Response_time does not convert sim_time
    * To pass pytest
    * Fix for pytest
    * Fixed X axis to sim_time conversion in staced_bar's to_dataframe().
    * ci(pre-commit): autofix
    * Added xaxis_type to the to_stacked_bar_data() argument.
    * ci(pre-commit): autofix
    * Added xaxis_type to the to_stacked_bar_data() argument.
    * fixed argument error passed to _find_node_path (#453 <https://github.com/tier4/caret_analyze/issues/453>)
    * pytest support
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
    Co-authored-by: miyakoshi <mailto:92290821+miyakoshi-dev@users.noreply.github.com>
  * Contributors: ISP akm, h-suzuki-isp, r.okamu


