=== debian/control ===
Source: ros-humble-caret-analyze
Section: misc
Priority: optional
Maintainer: ymski <yamasaki@isp.co.jp>
Build-Depends: debhelper (>= 9.0.0), graphviz, libgraphviz-dev, python3-colorcet, python3-graphviz, python3-pytest <!nocheck>, python3-pytest-mock <!nocheck>, python3-setuptools, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-mypy <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-caret-analyze
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, graphviz, python3-colorcet, python3-graphviz, python3-setuptools, python3-tqdm, python3-yaml, ros-humble-ros-workspace
Description: CARET's tools for analyzing trace results
